PDA

View Full Version : Release v3.0.5



Moon Wizard
June 19th, 2014, 23:27
Fantasy Grounds v3.0.5 is now available via the FG updater or via the FG installer on the Downloads page.

This is primarily a bug fix release, and encapsulates several of the hot fix patches I have already pushed out.

It you want the details, a comprehensive list of patch notes is available here. (http://www.fantasygrounds.com/filelibrary/patchnotes.html)

Cheers,
JPG

Moon Wizard
June 19th, 2014, 23:29
For community devs, here's the list of script changes since the last hot fix.


[3.5E/PFRPG/4E/5E/CnC] EffectManager.addEffectTarget
[3.5E] VersionManager2 (multiple)
[3.5E] ActionHeal.onHeal


Regards,
JPG

viresanimi
June 20th, 2014, 10:30
By chance I found a mistake in the PFRPG magic items module. The "Arrow Deflecting" entry under "Armor" is empty.

Vires Animi

HoloGnome
June 21st, 2014, 07:36
I think the fixes are great. Is there a plan to do anything about improved/unified version control and all the hot patching?

JohnD
June 22nd, 2014, 23:56
Wondering if anyone else is having trouble updating - I keep getting timeout errors on retrieving product list from server. All else connection wise is working.

Trenloe
June 22nd, 2014, 23:57
Wondering if anyone else is having trouble updating - I keep getting timeout errors on retrieving product list from server. All else connection wise is working.
Working OK for me.

JohnD
June 23rd, 2014, 01:10
Hmm... still crapping out on my end.

Moon Wizard
June 23rd, 2014, 02:25
What's the exact error message? It will be stored in update.log in the FG data directory.

Also, check to make sure your firewall is allowing UpdaterEngine.exe. It's a separate program than the main FG client, and will have a separate firewall entry.

Regards ,
JPG

JohnD
June 23rd, 2014, 02:33
Not at computer now, from memory, times out waiting for a response. Will post exact message next time at computer.

Edit: error message below.

Getting packages from FG server
Starting update check
Getting purchases from FG server
ERROR - GetPurchases: Network: time out
Retrying in 10 seconds

JohnD
June 23rd, 2014, 03:01
Error message above.

Disabling Kaspersky Pure 3.0 allowed the update to go through. In settings Kaspersky had FG and the UpdaterEngine.exe listed as Trusted applications, but was still blocking.

Paul Pratt
June 24th, 2014, 15:34
Hello noticed an issue in D&D 3.5. Using effects and DR lastnight I set a PC with "DR:3 piercing and slashing" and had the following error:

Script Error: [string "scripts/manager_effect.lua"]:776: attempt to perform arithmetic on local 'nTempIndexAND' (a nil value)

Perhaps I am using DR incorrectly but I had no issues with using an "or" statement, or using the damage types singulary.

-Paul

sciencephile
June 25th, 2014, 06:22
Hi, I found a problem with the points-based caster (Psion). I created a spell, re-parsed it, gave it a name and description. Then added a damage. When clicking on the cast spell button, it comes up with the following error message:

Script Error: [string "desktop/scripts/manager_chat.lua"]:334: attempt to concatenate local 'msgtxt' (a nil value)

This occurs in both the Pathfinder and 3.5e rulesets, in both the normal character sheet and the mini-sheet.

-Danny

Valarian
June 25th, 2014, 06:48
Error message above.

Disabling Kaspersky Pure 3.0 allowed the update to go through. In settings Kaspersky had FG and the UpdaterEngine.exe listed as Trusted applications, but was still blocking.

Sounds more like a bug in Kaspersky than FG.

JohnD
June 25th, 2014, 08:28
Sounds more like a bug in Kaspersky than FG.

It could be. I have a laptop with the same setup and it went through fine on it. Only difference between the two computers is the laptop is a wireless connection and the desktop which had the issue is hard wired to the modem and I added FG to my Steam account.

damned
June 25th, 2014, 10:40
It could be. I have a laptop with the same setup and it went through fine on it. Only difference between the two computers is the laptop is a wireless connection and the desktop which had the issue is hard wired to the modem and I added FG to my Steam account.

Haha - you are kidding if you think there is less than 5 digits worth of differences between the 2 computer systems!

Lord Kavos
June 25th, 2014, 10:41
Hi im having issues with my home campaign - players not able to connect, i run the connection test & get failures every time - nothing wrong with my internet, have port 1802 open, have no idea why i keep getting these failures...

damned
June 25th, 2014, 12:06
sent you a PM.

Zeus
June 25th, 2014, 18:08
Sounds more like a bug in Kaspersky than FG.

I get the same thing issue with my pfSense firewall and the Snort (IPS package). I haven't looked to deep into it but its related to the HTTP headers that cause the IPS to think the update web server is malicious. Whenever I see the network timeout error message, it usually means the update URL has been blocked by Snort, even adding the web url to a whitelist doesn't seem to fix it. In the end I had to apply a hack to get Snort to ignore the updater traffic.